> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve bank accounts

GET https://api.letsdeel.com/rest/gp/workers/{worker_id}/banks

Returns all bank accounts associated with the employee.

 **Token scopes**: `people:read`

Reference: https://developer.deel.com/api/endpoints/worker-information/get-gp-worker-banks

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `worker_id` (string, required) — Unique identifier for a worker.

## Response

### 200

Successful operation.

- `data` (list of GpWorkersWorkerIdBanksGetResponsesContentApplicationJsonSchemaDataItems, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### GpWorkersWorkerIdBanksGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier of this resource.
- `created_at` (string, required) — Long date-time format following ISO-8601.
- `updated_at` (string, required) — Long date-time format following ISO-8601.
- `city` (string, optional) — The city of the user's address.
- `iban` (string, optional) — The International Bank Account Number (IBAN).
- `email` (string, optional) — The user's email address.
- `phone` (string, optional) — The user's phone number.
- `postal` (string, optional) — The user's postal or ZIP code.
- `tax_id` (string, optional) — The user's tax identification number.
- `bank_code` (string, optional) — The bank code.
- `bank_name` (string, optional) — Name of the user's bank.
- `full_name` (string, optional) — Full name of the user.
- `sort_code` (string, optional) — UK sort code.
- `swift_bic` (string, optional) — SWIFT/BIC code for the bank.
- `rib_number` (string, optional) — The RIB(Relevé d'Identité Bancaire).
- `branch_code` (string, optional) — The branch code of the user's bank.
- `account_type` (string, optional) — Bank account type.
- `country_code` (string, optional) — The country code of the user.
- `address_line1` (string, optional) — The primary address line.
- `address_line2` (string, optional) — The secondary address line.
- `currency_code` (string, optional) — The currency code for transactions.
- `original_name` (string, optional) — The original name of the user.
- `account_number` (string, optional) — The user's bank account number.
- `province_state` (string, optional) — The state or province of the user's address.
- `bank_branch_name` (string, optional) — The name of the user's bank branch.
- `bank_country_code` (string, optional) — The country code where the bank is located.
- `ach_routing_number` (string, optional) — The ACH (Automated Clearing House) Routing Number.
- `status` (string, optional) — Current status of bank account.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "c34199c6-5b6f-4e5b-83c9-bb7044f0bfe7",
      "created_at": "2022-05-24T09:38:46.235Z",
      "updated_at": "2022-05-24T09:40:46.235Z",
      "city": "New York",
      "iban": "GB33BUKB20201555555555",
      "email": "user@example.com",
      "phone": "+1234567890",
      "postal": "10001",
      "tax_id": "123-45-6789",
      "bank_code": "BUKB",
      "bank_name": "Barclays Bank",
      "full_name": "John Doe",
      "sort_code": "12345",
      "swift_bic": "BUKBGB22",
      "rib_number": "12345678901",
      "branch_code": "12345",
      "account_type": "checking",
      "country_code": "US",
      "address_line1": "123 Main Street",
      "address_line2": "Apartment 4B",
      "currency_code": "USD",
      "original_name": "Johnathan Doe",
      "account_number": "5555555555",
      "province_state": "NY",
      "bank_branch_name": "Barclays Manhattan Branch",
      "bank_country_code": "GB",
      "ach_routing_number": "021000021",
      "status": "active"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/gp/workers/wkr01a8pdlqlg0v0pzx11yhdy/banks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/gp/workers/wkr01a8pdlqlg0v0pzx11yhdy/banks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/gp/workers/wkr01a8pdlqlg0v0pzx11yhdy/banks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/gp/workers/wkr01a8pdlqlg0v0pzx11yhdy/banks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/gp/workers/wkr01a8pdlqlg0v0pzx11yhdy/banks")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/gp/workers/wkr01a8pdlqlg0v0pzx11yhdy/banks', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/gp/workers/wkr01a8pdlqlg0v0pzx11yhdy/banks");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/gp/workers/wkr01a8pdlqlg0v0pzx11yhdy/banks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```